//
//  QuantumKitDefines.h
//  QuantumKit
//
//  Created by Logan Collins on 7/9/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//


#define QUANTUMKIT_EXTERN extern __attribute__((visibility("default")))
#define QUANTUMKIT_INLINE static inline __attribute__((visibility("default")))

#if (__has_feature(objc_fixed_enum))
#define QUANTUMKIT_ENUM(_type, _name) enum _name : _type _name; enum _name : _type
#define QUANTUMKIT_OPTIONS(_type, _name) enum _name : _type _name; enum _name : _type
#else
#define QUANTUMKIT_ENUM(_type, _name) _type _name; enum
#define QUANTUMKIT_OPTIONS(_type, _name) _type _name; enum
#endif
