//
//  QNKDebug.m
//  QuantumKit
//
//  Created by Logan Collins on 7/10/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "QNKDebug.h"


#if !defined(DEBUG) || !DEBUG
static BOOL QNKDebugLoggingEnabled = NO;
#endif


BOOL QNKDebugLoggingIsEnabled() {
#if defined(DEBUG) && DEBUG
    return YES;
#else
    return QNKDebugLoggingEnabled;
#endif
}

void QNKDebugLoggingSetEnabled(BOOL enabled) {
#if defined(DEBUG) && DEBUG
    // no-op
#else
    QNKDebugLoggingEnabled = enabled;
#endif
}
