//
//  NSManagedObject+QuantumKitAdditions.h
//  QuantumKit
//
//  Created by Logan Collins on 7/9/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <CoreData/CoreData.h>


@interface NSManagedObject (QuantumKitAdditions)

- (NSString *)qnk_syncableIdentifier;
- (void)qnk_setSyncableIdentifier:(NSString *)identifier;

- (id)qnk_syncableValueForKey:(NSString *)key error:(NSError **)outError;
- (BOOL)qnk_setSyncableValue:(id)value forKey:(NSString *)key error:(NSError **)outError;

@end
