//
//  QuantumKitErrors.h
//  QuantumKit
//
//  Created by Logan Collins on 7/9/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuantumKit/QuantumKitDefines.h>


QUANTUMKIT_EXTERN NSString * const QNKQuantumKitErrorDomain;


enum {
    // Core Data
    QNKUnsupportedPropertyMappingError = 2000,  // The coordinator was unable to map a record property onto a modelled property
    QNKMissingRequiredValueError = 2001,        // The coordinator was unable to set a nil/empty value for a required property
    QNKValidationError = 2002,                  // The coordinator was unable to validate the pulled data
};
